<?php
class ControllerExtensionModuleGglogin extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/gglogin');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('module_gglogin', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));
		}

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/gglogin', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['action'] = $this->url->link('extension/module/gglogin', 'user_token=' . $this->session->data['user_token'], true);

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true);

		if (isset($this->request->post['module_gglogin_status'])) {
			$data['module_gglogin_status'] = $this->request->post['module_gglogin_status'];
		} else {
			$data['module_gglogin_status'] = $this->config->get('module_gglogin_status');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/gglogin', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/gglogin')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}

	public function install() {
		$sql = "DESC " . DB_PREFIX . "user gg_secret";
		$query = $this->db->query($sql);
		if (!$query->num_rows) {
			$sql = "ALTER TABLE " . DB_PREFIX . "user ADD `gg_secret` VARCHAR(100) NOT NULL DEFAULT '' AFTER `date_added`;";
			$this->db->query($sql);
		}
		return "";
	}

	public function uninstall() {
		$sql = "DESC " . DB_PREFIX . "user gg_secret";
		$query = $this->db->query($sql);
		if ($query->num_rows) {
			$sql = "ALTER TABLE " . DB_PREFIX . "user DROP `gg_secret`";
			$this->db->query($sql);
		}
	}
}